Skip to content

updateWarehouseTransfer

WRITE

Update an existing warehouse transfer.

POST /api/v1/inventory/updateWarehouseTransfer
curl -X POST '<your-host>/api/v1/inventory/updateWarehouseTransfer' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"Draft""To Ship and Receive""To Ship""To Receive""Completed""Cancelled"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "fromLocationId": {
      "type": "string"
    },
    "toLocationId": {
      "type": "string"
    },
    "transferId": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "To Ship and Receive",
        "To Ship",
        "To Receive",
        "Completed",
        "Cancelled"
      ]
    },
    "transferDate": {
      "type": "string"
    },
    "expectedReceiptDate": {
      "type": "string"
    },
    "notes": {
      "type": "string"
    },
    "reference": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "id"
  ]
}